%define name    typist
%define version 2.6.2
%define release 2mdk

Summary: Typing tutor package
Name: %{name}
Version: %{version}
Release: %{release}
Source0: g%{name}-%{version}.tar.bz2
URL: http://www.gnu.org/software/gtypist/
License: GPL
Group: Text tools
Buildrequires: byacc bison libncurses-devel 
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Typist is a typing tutor package built using ncurses. The package
contains a number of tutorials, drills, and practice sessions to
help with mastering touch typing on the standard computer
keyboard. The accent is on the US keyboard layout, but the lessons
may also be useful with other layouts, and new lessons can be
written by the user. A Dvorak lesson and Spanish lesson are
included.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n g%{name}-%{version}

%build

%configure

%make all

%install

%makeinstall

%find_lang g%name

%post
%_install_info %name.info

%postun
%_remove_install_info %name.info

%clean
rm -rf $RPM_BUILD_ROOT

%files -f g%name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*.1.bz2
%{_datadir}/gtypist/*.typ
%_datadir/emacs/site-lisp/*
%_infodir/*


%changelog
* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.2-2mdk
- buildrequires

* Fri Jan 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- 2.4

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-3mdk
- rebuild

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-2mdk
- updated url

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-1mdk
- updated to 2.3.2

* Fri Oct 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com> :
	v2.3.1-1mdk (initial packaging)
- add macros & bm
